#!/usr/bin/env python
# encoding: ISO-8859-15
import coral
import coral ; metamodel=coral.lang.UML14

s = "foo å"

c = metamodel.Class()
c.name = s

print c.name.encode("ISO-8859-15")
# Each unicode character counts as one, even
# though e.g. UTF-8 representation is different
print "LENGTH", len(c.name)
assert(len(c.name) == 5)

